Status: Closed   

Priority: Normal   

Category:    

Customer: BOSCH Product Issue

Numbers:

 

Department: ENTWICKLUNG Affected Products: ADTF 2.9.1

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 2nd Level Topic: ADTF::Common

Resolution: Solved Issue FAQ Links:  

Description

Request

Use Case: I am trying to stop the ADTF configuration from the RUN method of one of the Filters in my configuration (if certain

condition is met). calling a filter#s stop would just stop that filter while the other filters in the configuration are still running.

Solution

It is not possible to shutdown the adtf configuration from your filter because the filter itself will be destroyed if you shutdown/deinit

your configuration. You need to implement an ADTF Service.

E.g. ADTF SDK: Demo for a service

Maybe it is possible to use IRuntime::SetRunLevel to this but it is a bad idea to use filter/services to control adtf.

History

#1 - 2017-02-21 10:30 - hidden

- Project changed from Public Support to 5

- Author changed from hidden to hidden

- Topic set to ADTF::Common

#2 - 2017-02-21 10:57 - hidden

- Status changed from New to In Progress

- Author changed from hidden to hidden

#4 - 2017-02-22 11:53 - hidden

Hello Venkata Rama Prasad,

it is not possible to shutdown the adtf configuration from your filter because the filter itself will be destroyed if you shutdown/deinit your configuration.

You need to implement an ADTF Service.

E.g. ADTF SDK: Demo for a service

Maybe it is possible to use IRuntime::SetRunLevel to this but it is a bad idea to use filter/services to control adtf.

#5 - 2017-02-22 16:42 - hidden

- Status changed from In Progress to Customer Feedback Required

#6 - 2017-02-27 09:54 - hidden

Support:

Please give us your feedback about this issue, otherwise we will close this ticket tomorrow (28.02.2017).

#7 - 2017-03-01 14:47 - hidden
- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Solved Issue

No Feedback, ticket can be closed.

@Florian, Ticket kann geschlossen werden.

#8 - 2017-03-02 12:50 - hidden

- Status changed from To Be Closed to Closed

#9 - 2018-01-25 11:51 - hidden

- Project changed from 5 to Public Support

- Private changed from Yes to No
